Bug 29097 - Перестала назначаться группа на MTP-устройства
: Перестала назначаться группа на MTP-устройства
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libmtp9)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2013-06-22 19:56 by
Modified: 2013-07-21 18:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-06-22 19:56:58
После обновления libmtp9 с 1.1.5-alt1 до 1.1.6-alt1 перестало работать
MTP-устройство (в данном случае телефон на Android-е):

evg@thinkpad ~ $simple-mtpfs /mnt/phone                                         
Device 0 (VID=0bb4 and PID=0dfd) is a HTC HTC One X (ID3).
libusb_open() failed!: Permission denied
LIBMTP PANIC: Unable to initialize device

evg@thinkpad ~ $groups|grep camera
evg disk wheel uucp rpm proc cdrom floppy cdwriter audio radio netadmin fuse
scanner xgrp vboxusers hashman camera evg_a evg_b

~#ls -lht /dev/*mtp*
lrwxrwxrwx 1 root root 15 Jun 22 21:37 /dev/libmtp-2-1.1 -> bus/usb/002/020
~#ls -lht /dev/bus/usb/002/020
crw-rw-r-- 1 root root 189, 147 Jun 22 21:37 /dev/bus/usb/002/020

#rpm -q --lastchange libmtp9
* Fri Jun 07 2013 Alexey Shabalin <shaba@altlinux.ru> 1.1.6-alt1
- 1.1.6
- drop create group camera in pre
- drop hal support
- drop libmtp-1.1.3-alt-udev-rules.patch

упомянутый патч, судя по тексту, как раз и отвечал за выставление группы и прав
доступа, с которыми всё замечательно работало.
------- Comment #1 From 2013-06-23 08:57:58 -------
На сборщика.
------- Comment #2 From 2013-06-24 17:39:55 -------
Патч не нужен в любом случае, даже если хочется иметь группу camera, т.к. есть
параметры для configure.
Хотелось бы узнать что такое simple-mtpfs.
Группа camera вобщем-то не нужна - udev обеспечивает доступ текущему
пользователю. У меня например nautilus(gvfs) прекрасно видит андроид-планшет.
------- Comment #3 From 2013-06-24 18:40:44 -------
Ну видимо эти параметры для configure надо задействовать, т.к. сейчас судя по
распечатке группа не назначается и у простого пользователя есть право только
читать устройство, отчего libmtp9 паникует.

simple-mtpfs это программа, отображающая MTP-устройства как файловую систему,
доступную для монтирования (через FUSE). Просто один из клиентов libmtp9.

Как работает nautilus/gvfs, я не знаю, у меня их нет. Есть сделать chown
root:camera (права и так 0660) на нужное usb-устройство, всё вновь начинает
монтироваться и записываться.
------- Comment #4 From 2013-07-01 17:11:01 -------
udev обеспечивает доступ текущему пользователю, исли система загружена с
помощью systemd. Иначе действительно нужна группа.
Для обеспечения совместимости верну группу. Только действительно нужна группа
camera? Может лучше использовать группу audio?
------- Comment #5 From 2013-07-01 17:12:37 -------
PS: потому что группа audio есть по-умолчанию, и не надо создавать новую
группу. да и по смыслу libmtp ближе к audio.
------- Comment #6 From 2013-07-01 17:33:55 -------
Не нужно ломать то что уже устоялось.
------- Comment #7 From 2013-07-01 17:44:55 -------
иногда нужно переосмыслить, тем более что изначально непонятно зачем в libmtp
добавляли группу camera. Чем не устраивает группа audio?
------- Comment #8 From 2013-07-01 17:50:11 -------
Тем что сломается у некоторых пользователей. Майнтайнеру конечно виднее, я не
настаиваю.
------- Comment #9 From 2013-07-21 18:42:58 -------
Fixed in libmtp9-1.1.6-alt2